commit:     1bba5d466e46ddefc553e7a7183b31244955beaa
Author:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 20 22:04:23 2025 +0000
Commit:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
CommitDate: Sun Jan 26 18:16:27 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1bba5d46

sys-cluster/knem: Update knem to use linux-mod-r1, and drop non-git version

Changes:

Upstream has decided to stop having release, and will only
provide fixes to their git repo. [1]

1. Removed non-git SRC from -9999 ebuild
2. Migrated -9999 ebuild to linux-mod-r1 Bug #908727
3. Minor spelling fix

[1] https://knem.gitlabpages.inria.fr/
Signed-off-by: Mike Pagano <mpagano <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/40234
Signed-off-by: Mike Pagano <mpagano <AT> gentoo.org>

 sys-cluster/knem/knem-9999.ebuild | 28 ++++++++++------------------
 1 file changed, 10 insertions(+), 18 deletions(-)

diff --git a/sys-cluster/knem/knem-9999.ebuild 
b/sys-cluster/knem/knem-9999.ebuild
index d0ff2cda6826..e5270502943d 100644
--- a/sys-cluster/knem/knem-9999.ebuild
+++ b/sys-cluster/knem/knem-9999.ebuild
@@ -1,19 +1,13 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="8"
 
-inherit autotools linux-mod linux-info toolchain-funcs udev
+inherit autotools git-r3 linux-mod-r1 toolchain-funcs udev
 
 DESCRIPTION="High-Performance Intra-Node MPI Communication"
-HOMEPAGE="https://knem.gforge.inria.fr/";
-if [[ ${PV} == "9999" ]] ; then
-       EGIT_REPO_URI="https://gitlab.inria.fr/knem/knem.git";
-       inherit git-r3
-else
-       
SRC_URI="https://gitlab.inria.fr/knem/knem/uploads/4a43e3eb860cda2bbd5bf5c7c04a24b6/${P}.tar.gz";
-       KEYWORDS="~amd64 ~x86"
-fi
+HOMEPAGE="https://knem.gitlabpages.inria.fr/";
+EGIT_REPO_URI="https://gitlab.inria.fr/knem/knem.git";
 
 LICENSE="GPL-2 LGPL-2"
 SLOT="0"
@@ -26,15 +20,11 @@ RDEPEND="
                sys-apps/hwloc:=
                sys-apps/kmod[tools]"
 
-MODULE_NAMES="knem(misc:${S}/driver/linux)"
-BUILD_TARGETS="all"
-BUILD_PARAMS="KDIR=${KERNEL_DIR}"
-
 pkg_setup() {
        linux-info_pkg_setup
        CONFIG_CHECK="DMA_ENGINE"
        check_extra_config
-       linux-mod_pkg_setup
+       linux-mod-r1_pkg_setup
        ARCH="$(tc-arch-kernel)"
        ABI="${KERNEL_ABI}"
 }
@@ -54,10 +44,11 @@ src_configure() {
 }
 
 src_compile() {
+       local modlist=( knem=misc )
        default
        if use modules; then
                cd "${S}/driver/linux"
-               linux-mod_src_compile || die "failed to build driver"
+               linux-mod-r1_src_compile || die "failed to build driver"
        fi
 }
 
@@ -65,10 +56,10 @@ src_install() {
        default
        if use modules; then
                cd "${S}/driver/linux"
-               linux-mod_src_install || die "failed to install driver"
+               linux-mod-r1_src_install
        fi
 
-       # Drop funny unneded stuff
+       # Drop funny unneeded stuff
        rm "${ED}/usr/sbin/knem_local_install" || die
        rmdir "${ED}/usr/sbin" || die
        # install udev rules
@@ -77,6 +68,7 @@ src_install() {
 }
 
 pkg_postinst() {
+       linux-mod-r1_pkg_postinst
        udev_reload
 }
 

Reply via email to